/**
 * Copyright (c) 2020, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 * WSO2 Inc. licenses this file to you under the Apache License,
 * Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
/**
 * Class containing app constants.
 */
export declare class AppConstants {
    /**
     * Private constructor to avoid object instantiation from outside
     * the class.
     *
     * @hideconstructor
     */
    private constructor();
    /**
     * Constant that holds the key of the sessionStorage that is used during redirect
     * @constant
     * @type {number}
     */
    static readonly REDIRECTED_KEY: string;
    /**
     * Constant that holds the value of the `REDIRECTED_KEY` of the sessionStorage that is used during redirect
     * @constant
     * @type {number}
     */
    static readonly REDIRECTED_VALUE: string;
}
